---
title: GlobalEventHandlers.onkeyup
slug: Web/API/GlobalEventHandlers/onkeyup
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onkeyup</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("keyup")}} events.</p>

<p>The <code>keyup</code> event fires when the user releases a key that was previously pressed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onkeyup = <em>functionRef</em>;</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("KeyboardEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example logs the {{domxref("KeyboardEvent.code")}} value whenever you release a key inside the {{HtmlElement("input")}} element.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;input&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const input = document.querySelector('input');
const log = document.getElementById('log');

input.onkeyup = logKey;

function logKey(e) {
  log.textContent += ` ${e.code}`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onkeyup','onkeyup')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onkeyup")}}</p>

<h3 id="Compatibility_notes">Compatibility notes</h3>

<p>Since Firefox 65, the <code><a href="/en-US/docs/Web/Events/keyup">keyup</a></code> and <code><a href="/en-US/docs/Web/Events/keydown">keydown</a></code> events are now fired during IME composition, to improve cross-browser compatibility for CJKT users ({{bug(354358)}}, also see <a href="https://www.fxsitecompat.com/en-CA/docs/2018/keydown-and-keyup-events-are-now-fired-during-ime-composition/">keydown and keyup events are now fired during IME composition</a> for more useful details). To ignore all <code>keyup</code> events that are part of composition, do something like this (229 is a special value set for a <code>keyCode</code> relating to an even that has been processed by an IME):</p>

<pre class="brush: js"><code>eventTarget.addEventListener("keyup", event =&gt; {
  if (event.isComposing || event.keyCode === 229) {
    return;
  }
  // do something
});</code></pre>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Event("keyup")}} event</li>
 <li>Related event handlers
  <ul>
   <li>{{domxref("GlobalEventHandlers.onkeydown")}}</li>
   <li>{{domxref("GlobalEventHandlers.onkeypress")}}</li>
  </ul>
 </li>
</ul>
